Instalação Home Assistant (Hass.io) em Raspberry 3


(Rodolfo) #1

O seguinte vídeo ensina-te como instalar o Home Assistant (Hass.io) em um raspberry 3.

Vídeo publicado com devida autorização de autor.
Créditos Bruno Horta


(Rafael) #2

Boas.

Eles aconselham a utilização do raspberry 3, mas será que funcionará em versões anteriores?
Já alguém experimentou?

Obrigado!


(Rafael) #3

Encontrei a informação:


(Jorge Assunção) #4

Podes utilizar em todos os modelos mais antigos. O único problema é os processadores serem mais fracos e ficarem mais lentos com muitas automações a correr. Embora com o Raspberry Pi 2 já se consiga uma boa experiência.


(Antonio Pinho) #5

Olá, Instalei o Hass.io no RPI 3. tudo funcionou bem, até que, o sistema foi actualizado para a nova versão. A partir deste momento, o RPI bloqueia, ao fim de algum tempo de funcionamento.
Quando volto a fazer o arranque do RPI, verifico, o sistema, perde todos os Addon instalados.
Como posso fazer um downgrade ao sistema?


(Tiago Marques) #6

Em que versão estás?


(Rodolfo) #7

@Acosta que cartão usas no rpi? Podes fazer um donwgrade via SSH com o comando:

curl -d '{"version": "0.63.1"}' http://hassio/homeassistant/update

Onde nesse exemplo acima o. 0.63.1 é a versão.


(Antonio Pinho) #8

sandisk ultra 32GB MICRO SD HC


(Antonio Pinho) #9

Home <assistant V 0.70.1 Hass.io V 105


(Rodolfo) #10

@acosta não vejo razão para isso acontecer. Podes confirmar no teu log que erros apresenta?


(Tiago Marques) #11

1º quando dizes “perde todos os Addon instalados” significa que eles desaparecem mesmo?
2º Não tens erros no log?
3º Consegues clonar o cartão e experimentar com outro?


(Antonio Pinho) #12

Error handling request
21:36 /usr/lib/python3.6/site-packages/aiohttp/web_protocol.py (ERROR)
Error handling request
21:36 /usr/lib/python3.6/site-packages/aiohttp/web_protocol.py (ERROR)
Error handling request
21:31 /usr/lib/python3.6/site-packages/aiohttp/web_protocol.py (ERROR)


(Antonio Pinho) #13

Já criei outro cartão e reinstalei o sistema, com o ficheiro que tinha guardado, expectativa de reinstalar a versão anterior.
Mas depois de instalado, verifico, que o sistema já fez o update para a nova versão.
Apenas instalei o Addon " samba" e deixei o sistema a correr, algumas horas depois verifiquei que não havia actividade no RPI, tentei entrar o sistema pelo browser e verifiquei que esta em baixo.
Depois de arrancar o com sistema, vi que este não tinha qualquer addon instalado.


(Rodolfo) #14

É um erro já conhecido, mas não sei o que possa estar a originar. Podes fazer um teste…deixa apenas o ficheiro configuration.yaml na faças nenhumas chamadas a outros ficheiros ou serviços e verifica se o erro se mantem.


(Antonio Pinho) #15

OK vou reinstalar o sistema e deixar correr sem fazer qualquer alteração-


(Antonio Pinho) #16

Sistema instalado e a correr sem qualquer alteração.
Vou aguardar e ver o que acontece…
Obrigado


(Hopeless Automations) #17

Eu tenho o Hassio a correr na casa de um amigo num Raspberry Pi Zero com Homebridge, Appdaemon, SSL e Samba addons instalados com meia dúzia a uma dúzia de componentes.
A UI bloqueia bastante e o Hassio demora quase 30mins para fazer reboot completo mas a Siri funciona perfeitamente que era esse o objectivo :smile:


(Antonio Pinho) #18

Depois de umas horas a trabalhar, instalei o Samba, como nada Ocorreu instalei o Appdaemon, trabalhou um dia… hoje reparei que já não funcionava, arranquei com o sistema novamente. Os Addon instalados já não existem. no separador ADD-ON Store, só estão disponoveis os ADD-ons oficiais, os ADD-Ons da comunidade também desapareceram…